import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export async function GetDevicePushRecodePage(data) {
    return request(`/kitchbase/api/devicepushrecode/page`, {
      method: 'POST',
      data: data,
    });
  }
  export async function DevicePushRecodeAdd(data) {
      return request(`/kitchbase/api/devicepushrecode/add`, {
        method: 'POST',
        data: data,
      });
    }
    export async function DevicePushRecodeUpdate(data) {
      return request(`/kitchbase/api/devicepushrecode/update?id=`+data, {
        method: 'GET',
      });
    }
    export async function DevicePushRecodeDelete(data) {
      return request(`/kitchbase/api/devicepushrecode/delete`, {
        method: 'POST',
        data: data,
      });
    } 
    export async function GetDeviceList() {
      return request(getDataBaseUrl()+`/api/device/list`, {
        method: 'GET',
      });
    }

    export async function GetBatchingPage(data) {
        return request(getDataBaseUrl()+`/api/batching/getpage`, {
          method: 'Post',
          data: data,
          // params: { ...params },
          // ...(options || {}),
        });
      }
      export async function GetProductTopicslist(data) {
        return request(getDataBaseUrl()+`/api/producttopics/list`, {
          method: 'Post',
          data: data,
          // params: { ...params },
          // ...(options || {}),
        });
      }
